Run a builtin check ad hoc
POST
/api/v1/check-commands:test
const url = 'https://example.com/api/v1/check-commands:test';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"address":"example","args":["example"],"builtin":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/check-commands:test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "address": "example", "args": [ "example" ], "builtin": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
address
required
string
args
Array<string>
builtin
required
string
Examplegenerated
{ "address": "example", "args": [ "example" ], "builtin": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
label
required
string
output
required
string
perfdata
string
state
required
integer
tookMs
required
integer
Examplegenerated
{ "label": "example", "output": "example", "perfdata": "example", "state": 1, "tookMs": 1}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}